/////////////////////////////////////////////////////////
////////////////////// HasFooBar.H //////////////////////

//#include <iostream.h>
#include <iostream>
using namespace std;

#include "Foo.H"


class HasFooBar
{   private:
	Foo<int> fb;

    friend istream& operator>>(istream& in, HasFooBar& hfb);
};

istream& operator>>(istream& in, HasFooBar& hfb)
{
	in >> hfb.fb;
	return in;
}

